#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""
Tests for conveyor.solicitor module
"""
from conveyor.solicitor import Solicitor

solicitor = Solicitor("test/test.json")
EXPECTED_DELIVERY_LOCATION = "/lustre/aoc/cluster/pipeline/docker/workspaces/spool/tmpabcd1234"
REQUEST_ID = 2
SDM_IDS = ["brain_000.58099.67095825232"]


class TestSolicitor:
    def test_solicitor_delivery(self):
        location = solicitor.solicit_delivery_location()
        assert location == EXPECTED_DELIVERY_LOCATION

    def test_solicitor_request_params(self):
        """
        Ensure Solicitor retrieves request parameters from metadata.json

        :return:
        """
        params = solicitor.solicit_request_params()
        assert len(params) >= 2
        assert params["system_id"] == REQUEST_ID
        assert params["sdm_ids"] == SDM_IDS[0]
